logo
On this page

DeleteAgentInstance

2026-02-05
POST

https://aigc-aiagent-api.zegotech.cn/

With this interface, you can delete an existing AI agent instance.

Request

Query Parameters

    Action stringrequired

    Possible values: [DeleteAgentInstance]

    API Prototype Parameter

    https://aigc-aiagent-api.zegotech.cn?Action=DeleteAgentInstance

    AppId uint32required

    💡Public parameter. Application ID, assigned by ZEGOCLOUD. Get it from the ZEGOCLOUD Admin Console.

    SignatureNonce stringrequired

    💡Public parameter. A 16-character hexadecimal random string (hex encoding of 8-byte random number). Refer to Signature sample code for how to generate.

    Timestamp int64required

    💡Public parameter. Current Unix timestamp, in seconds. Refer to Signature sample code for how to generate, with a maximum error of 10 minutes.

    Signature stringrequired

    💡Public parameter. Signature, used to verify the legitimacy of the request. Refer to Signing the requests for how to generate an API request signature.

    SignatureVersion stringrequired

    Possible values: [2.0]

    Default value: 2.0

    💡Public parameter. Signature version number.

Body

required
    AgentInstanceId stringrequired

    The unique identifier of the AI agent instance, obtained through the response parameters of the Create AI Agent Instance interface.

    GracefulShutdown boolean

    Default value: false

    Whether to enable graceful shutdown of the AI agent instance. If true, when calling this interface to delete the AI agent instance, it will wait until the agent is in the idle state (IDLE) before shutting down.

    GracefulShutdownTimeout integer

    Possible values: >= 1 and <= 120

    Default value: 30

    Timeout for graceful shutdown of the AI agent instance, in seconds. The maximum time to wait for the AI agent instance to enter the idle state (IDLE) when shutting down. After this timeout, even if the AI agent instance is not in the IDLE state, it will be immediately shut down. Only effective when GracefulShutdown is true.

Responses​

Success
Schema
    Code integer

    Return code. 0 indicates success, other values indicate failure. For more information on error codes and response handling recommendations, please refer to Return Codes.

    Message string

    Explanation of the request result

    RequestId string

    Request ID

Previous

Update Agent Instance

Next

Trigger LLM

On this page

Back to top